Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Class LinearIntersects

    java.lang.Object
      org.deegree.model.spatialschema.LinearIntersects

    public class LinearIntersects

extends Object

Version:
  $Revision: 19906 $
Author:
  Andreas Poth

Constructor Summary
`LinearIntersects()`

Method Summary
`static double` | `getTolerance(Geometry geom1, Geometry geom2)`
`static boolean` | `intersects(Curve curve1, Curve curve2)` the operation returns true if the two submitted curves intersects
`static boolean` | `intersects(CurveSegment curve1, CurveSegment curve2)` the operation returns true if the two submitted curves segments intersects
`static boolean` | `intersects(CurveSegment curve, SurfacePatch surface, double tolerance)` the operation returns true if the passed curve segment intersects the submitted surface patch
`static boolean` | `intersects(Curve curve, Surface surface)` the operation returns true if the submitted curve intersects the submitted surface
`static boolean` | `intersects(Point point, Curve curve)` the operations returns true if the submitted point intersects the submitted curve
`static boolean` | `intersects(Point point1, Point point2)` the operations returns true if two the submitted points intersects
`static boolean` | `intersects(Point point, Surface surface)` the operation returns true if the submitted point intersects the submitted surface
`static boolean` | `intersects(Position point, CurveSegment curve, double tolerance)` the operations returns true if the submitted point intersects the passed curve segment
`static boolean` | `intersects(Position point1, Position point2, double tolerance)` the operations returns true if two the submitted points intersects
`static boolean` | `intersects(Position point, SurfacePatch surface, double tolerance)` the operation returns true if the submitted point intersects the submitted surface patch
`static boolean` | `intersects(SurfacePatch surface1, SurfacePatch surface2, double tolerance)` the operation returns true if the two passed surface patches intersects
`static boolean` | `intersects(Surface surface1, Surface surface2)` the operation returns true if the two passed surfaces intersects
`protected static boolean` | `linesIntersect(double x1, double y1, double x2, double y2, double x3, double y3, double x4, double y4)` Tests if the line segment from (x1, y1) to (x2, y2) intersects the line segment from (x3, y3) to (x4, y4).
`protected static int` | `relativeCCW(double X1, double Y1, double X2, double Y2, double PX, double PY)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearIntersects

    public LinearIntersects()

Method Detail

### getTolerance

    public static double getTolerance(Geometry geom1,
                                      Geometry geom2)

  Parameters:
    `geom1` -
    `geom2` -
  Returns:
    maximum tolerance of geom1 and geom2

### intersects

    public static boolean intersects(Position point1,
                                     Position point2,
                                     double tolerance)

  the operations returns true if two the submitted points intersects

  Parameters:
    `point1` -
    `point2` -
    `tolerance` -
  Returns:
    true if two the submitted points intersects

### intersects

    public static boolean intersects(Position point,
                                     CurveSegment curve,
                                     double tolerance)

  the operations returns true if the submitted point intersects the passed curve segment

  Parameters:
    `point` -
    `curve` -
    `tolerance` -
  Returns:
    true if the submitted point intersects the passed curve segment

### intersects

    public static boolean intersects(Position point,
                                     SurfacePatch surface,
                                     double tolerance)

  the operation returns true if the submitted point intersects the submitted surface patch

  Parameters:
    `point` -
    `surface` -
    `tolerance` -
  Returns:
    true if the submitted point intersects the submitted surface patch

### intersects

    public static boolean intersects(CurveSegment curve1,
                                     CurveSegment curve2)

  the operation returns true if the two submitted curves segments intersects

  Parameters:
    `curve1` -
    `curve2` -
  Returns:
    returns true if the two submitted curves segments intersects

### intersects

    public static boolean intersects(CurveSegment curve,
                                     SurfacePatch surface,
                                     double tolerance)
                              throws GeometryException

  the operation returns true if the passed curve segment intersects the submitted surface patch

  Parameters:
    `curve` -
    `surface` -
    `tolerance` -
  Returns:
    true if the submitted curve segment intersects the passed surface patch
  Throws:
    `GeometryException`

### intersects

    public static boolean intersects(SurfacePatch surface1,
                                     SurfacePatch surface2,
                                     double tolerance)
                              throws GeometryException

  the operation returns true if the two passed surface patches intersects

  Parameters:
    `surface1` -
    `surface2` -
    `tolerance` - ignored by the current implementation
  Returns:
    true if the two passed surface patches intersects
  Throws:
    `GeometryException` - if the line strings could not be created.

### intersects

    public static boolean intersects(Point point1,
                                     Point point2)

  the operations returns true if two the submitted points intersects

  Parameters:
    `point1` -
    `point2` -
  Returns:
    true if two the submitted points intersects

### intersects

    public static boolean intersects(Point point,
                                     Curve curve)
                              throws GeometryException

  the operations returns true if the submitted point intersects the submitted curve

  Parameters:
    `point` -
    `curve` -
  Returns:
    true if the submitted point intersects the submitted curve
  Throws:
    `GeometryException`

### intersects

    public static boolean intersects(Point point,
                                     Surface surface)
                              throws GeometryException

  the operation returns true if the submitted point intersects the submitted surface

  Parameters:
    `point` -
    `surface` -
  Returns:
    true if the submitted point intersects the submitted surface
  Throws:
    `GeometryException`

### intersects

    public static boolean intersects(Curve curve1,
                                     Curve curve2)
                              throws GeometryException

  the operation returns true if the two submitted curves intersects

  Parameters:
    `curve1` -
    `curve2` -
  Returns:
    true if the two submitted curves intersects
  Throws:
    `GeometryException`

### intersects

    public static boolean intersects(Curve curve,
                                     Surface surface)
                              throws GeometryException

  the operation returns true if the submitted curve intersects the submitted surface

  Parameters:
    `curve` -
    `surface` -
  Returns:
    true if the submitted curve intersects the submitted surface
  Throws:
    `GeometryException`

### intersects

    public static boolean intersects(Surface surface1,
                                     Surface surface2)
                              throws GeometryException

  the operation returns true if the two passed surfaces intersects

  Parameters:
    `surface1` -
    `surface2` -
  Returns:
    true if the two passed surfaces intersects
  Throws:
    `GeometryException`

### relativeCCW

    protected static int relativeCCW(double X1,
                                     double Y1,
                                     double X2,
                                     double Y2,
                                     double PX,
                                     double PY)

  Parameters:
    `X1` -
    `Y1` -
    `X2` -
    `Y2` -
    `PX` -
    `PY` -
  Returns:
    -1 if the points are counter clock wise, 0 if the points have a direction and 1 if they are clockwise.

### linesIntersect

    protected static boolean linesIntersect(double x1,
                                            double y1,
                                            double x2,
                                            double y2,
                                            double x3,
                                            double y3,
                                            double x4,
                                            double y4)

  Tests if the line segment from (x1, y1) to (x2, y2) intersects the line segment from (x3, y3) to (x4, y4).

  Parameters:
    `x1` -
    `y1` -
    `x2` -
    `y2` -
    `x3` -
    `y3` -
    `x4` -
    `y4` -
  Returns:
    `true` if the first specified line segment and the second specified line segment intersect each other; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org